<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"

	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
    xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat"
    
    xmlns:lxslt="http://xml.apache.org/xslt"
    xmlns:result="http://www.example.com/results"
    xmlns:exsl="http://exslt.org/common"

	extension-element-prefixes="java util result exsl"
	exclude-result-prefixes="util java util">

<!--
	<xsl:import href="header.xsl"/>
	<xsl:include href="formatmanager.xsl"/>
	-->

	
	<!-- the main layout is defined here -->
	<xsl:template name="mainTemplate">
	  <xsl:variable name="collName" select="/page/pageResponse/collection/@name"/>

		<html>

			<head>
				<!-- ***** in header.xsl ***** -->
				<xsl:call-template name="create-html-header"/>
				<xsl:call-template name="berryBasketHeadTags"/>	
			</head>
			
			<body><xsl:call-template name="textDirectionAttribute"/><xsl:call-template name="actionClass"/>
				
				<!--<xsl:call-template name="displayErrorsIfAny"/>-->
				<a name="top"><xsl:text> </xsl:text></a>

				<iframe src="sites/{$site_name}/collect/{$collName}/iframe/amc-header.html"
					style="position: absolute; height: 100%; border: none; width: 100%">
				  <gsf:comment>filler</gsf:comment>
				</iframe>

				<style>
				  #container { top: 185px; }
				  #gs_banner { background-color: #87A41C; background-image: none; }

				  .ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
				  border: 1px solid #D6E882;
				  background: #C4CBA1 url("images/ui-bg_highlight-hard_15_459e00_1x100.png") repeat-x scroll 50% 50%;
				  font-weight: bold;
				  color: #000;
				  }

				  .ui-widget-header {
				  border: 1px solid #D6E882;
				  background: #87A41C url("images/ui-bg_gloss-wave_50_43a21a_500x100.png") repeat-x scroll 50% 50%;
				  color: #FFF;
				  font-weight: bold;
				  }
				</style>
<!--				
				<div id="topArea" class="ui-state-default ui-corner-top">
					<table>
						<tbody>
							<tr>
								<td><div id="breadcrumbs"><xsl:call-template name="breadcrumbs"/><xsl:text> </xsl:text></div></td>
								
								
								<td><xsl:call-template name="home-help-preferences"/></td>
							</tr>
						</tbody>
					</table>
				</div>
				-->

				<div id="container" class="ui-corner-all">

					<!-- ***** in header.xsl ***** -->
					<xsl:call-template name="create-banner"/>
					
					<xsl:if test="/page/pageRequest/paramList/param[(@name='formatedit') and (@value='on')]">
						<xsl:call-template name="formatmanagerpre"/>
					</xsl:if>
    
					<div id="gs_content" class="ui-widget-content">
						<!--
							show the content of the page.
							to customise this part, edit the xsl file for the page you want to edit
						-->
						<xsl:apply-templates select="/page"/>

					</div>

					<xsl:call-template name="gs_footer"/>
				</div>
			</body>
		</html>
	</xsl:template>
	
	
</xsl:stylesheet>
